package de.slpnetwork.brewcraft.item;

import de.slpnetwork.brewcraft.Brewcraft;
import net.minecraft.world.item.Item;
import net.minecraftforge.eventbus.api.IEventBus;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.RegistryObject;

/**
 * used to register items
 */
public class ModItems {
    public static final DeferredRegister<Item> ITEMS = DeferredRegister.create(ForgeRegistries.ITEMS, Brewcraft.MODID);

    public static final RegistryObject<Item> Saphire = ITEMS.register("sapphire", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Yeast = ITEMS.register("yeast", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Cider_Yeast = ITEMS.register("cider-yeast", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Hop = ITEMS.register("hop", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Rice = ITEMS.register("rice", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Grape = ITEMS.register("grape", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Barley = ITEMS.register("barley", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Malt = ITEMS.register("malt", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Barley_Malt = ITEMS.register("barley_malt", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Heater_Body = ITEMS.register("heater_body", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Heater_Element = ITEMS.register("heater_element", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Mashine_Body = ITEMS.register("mashine_body", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Milling_Stone = ITEMS.register("milling_stone", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Pressed_Iron = ITEMS.register("pressed_iron", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Pressure_Body = ITEMS.register("pressure_body", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Bottle_Of_Corn_Beer = ITEMS.register("bottle_of_corn_beer", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Bottle_Of_Hop_Beer = ITEMS.register("bottle_of_hop_beer", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Bottle_Of_Pils_Beer = ITEMS.register("bottle_of_pils_beer", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Bottle_Of_Yeast_Beer = ITEMS.register("bottle_of_yeast_beer", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Bottle_Of_Apple_Beer = ITEMS.register("bottle_of_apple_beer", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Bottle_Of_Whine = ITEMS.register("bottle_of_whine", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Bottle_Of_Grape_Juice = ITEMS.register("bottle_of_grape_juice", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Bottle_Of_Apple_Juice = ITEMS.register("bottle_of_apple_juice", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Bottle_Of_Sake = ITEMS.register("bottle_of_sake", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Glass = ITEMS.register("glass", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Glass_Of_Corn_Beer = ITEMS.register("glass_of_corn_beer", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Glass_Of_Hop_Beer = ITEMS.register("glass_of_hop_beer", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Glass_Of_Yeast_Beer = ITEMS.register("glass_of_yeast_beer", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Glass_Of_Apple_Beer = ITEMS.register("glass_of_apple_beer", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Glass_Of_Pils_Beer = ITEMS.register("glass_of_pils_beer", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Glass_Of_Whine = ITEMS.register("glass_of_whine", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Glass_Of_Grape_Juice = ITEMS.register("glass_of_grape_juice", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Glass_Of_Apple_Juice = ITEMS.register("glass_of_apple_juice", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Glass_Of_Water = ITEMS.register("glass_of_water", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Glass_Of_Sake = ITEMS.register("glass_of_sake", () -> new Item(new Item.Properties()));
    /***
     * registers the deferredregister
     * @param eventBus the mods eventbus
     */
    public static void register(IEventBus eventBus) {
        ITEMS.register(eventBus);
    }
}
